> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit findings

> Returns the findings of the latest technical audit. The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/technical/findings
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/technical/findings:
    get:
      tags:
        - Technical analysis
      summary: List audit findings
      description: >-
        Returns the findings of the latest technical audit. The list is paged
        with `page` and `page_size`.
      operationId: list_findings
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFindingsResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    ListFindingsResponse:
      type: object
      properties:
        findings:
          type: array
          items:
            $ref: '#/components/schemas/FindingDTO'
        total:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
      required:
        - findings
        - page
        - page_size
        - total
        - total_pages
    FindingDTO:
      type: object
      properties:
        check_key:
          $ref: '#/components/schemas/CheckKey'
        dimension:
          $ref: '#/components/schemas/CheckDimension'
        severity:
          $ref: '#/components/schemas/Level'
        subject_kind:
          type: string
        subject_ref:
          type: string
          nullable: true
        affected_count:
          type: integer
        examined_count:
          type: integer
        facts:
          type: object
          additionalProperties:
            type: string
        fix_target:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SuggestedTool'
      required:
        - affected_count
        - check_key
        - dimension
        - examined_count
        - facts
        - fix_target
        - severity
        - subject_kind
        - subject_ref
    CheckKey:
      enum:
        - bot_blocked
        - robots_missing
        - bad_status
        - redirect_chain
        - sitemap_missing
        - sitemap_stale
        - csr_only
        - slow_page
        - heavy_html
        - no_structured_data
        - invalid_structured_data
        - missing_schema_type
        - heading_hierarchy
        - llms_txt_missing
        - llms_txt_incomplete
        - meta_missing
        - meta_thin
        - missing_alt_text
        - thin_content
        - orphan_page
      type: string
      description: |-
        * `bot_blocked` - bot_blocked
        * `robots_missing` - robots_missing
        * `bad_status` - bad_status
        * `redirect_chain` - redirect_chain
        * `sitemap_missing` - sitemap_missing
        * `sitemap_stale` - sitemap_stale
        * `csr_only` - csr_only
        * `slow_page` - slow_page
        * `heavy_html` - heavy_html
        * `no_structured_data` - no_structured_data
        * `invalid_structured_data` - invalid_structured_data
        * `missing_schema_type` - missing_schema_type
        * `heading_hierarchy` - heading_hierarchy
        * `llms_txt_missing` - llms_txt_missing
        * `llms_txt_incomplete` - llms_txt_incomplete
        * `meta_missing` - meta_missing
        * `meta_thin` - meta_thin
        * `missing_alt_text` - missing_alt_text
        * `thin_content` - thin_content
        * `orphan_page` - orphan_page
    CheckDimension:
      enum:
        - crawlability
        - renderability
        - parseability
      type: string
      description: |-
        * `crawlability` - crawlability
        * `renderability` - renderability
        * `parseability` - parseability
    Level:
      enum:
        - high
        - medium
        - low
      type: string
      description: |-
        * `high` - high
        * `medium` - medium
        * `low` - low
    SuggestedTool:
      enum:
        - content_brief
        - content_draft
        - schema
        - robots
        - llms_txt
        - inspect
        - meta_tags
      type: string
      description: |-
        * `content_brief` - content_brief
        * `content_draft` - content_draft
        * `schema` - schema
        * `robots` - robots
        * `llms_txt` - llms_txt
        * `inspect` - inspect
        * `meta_tags` - meta_tags
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.